; tiny13a eeprom read and write routines

EEP_ATOMIC_WRITE:									; write Temp to the EEPROM address stored in Temp2
	cli												; disable all interrupts
	push	Temp2
 EEP_ATOMIC_WRITE_I:
	sbic	EECR, EEPE
	rjmp	EEP_ATOMIC_WRITE_I						; wait until any previous write operation is finished
	ldi		Temp2, (0<<EEPM1)|(0<<EEPM0)			; set the programming mode
	out		EECR, Temp2
	pop		Temp2
	out		EEARL, Temp2							; setup the address
	out		EEDR, Temp								; setup the data
	sbi		EECR, EEMPE								; start writing
	sbi		EECR, EEPE
	sei												; enable all interrupts
	ret

EEP_READ:											; read the EEPROM data at address Temp2, data is put to Temp
	cli
 EEP_READ_I:
	sbic	EECR,EEPE
	rjmp	EEP_READ_I
	out		EEARL, Temp2
	sbi		EECR,EERE
	in		Temp ,EEDR
	sei
	ret