.ifdef prescaltmr0
TMR0_SET_PRESCAL:									; set the timer prescaler
		push	Temp
		in		Temp, TCCR0B
		andi	Temp, 0b00001000						; reset the prescaler bits
		.if prescaltmr0==0
		;ori		Temp, 0x00								; load the prescaler value
		.elif prescaltmr0==1
		ori		Temp, 0x01
		.elif prescaltmr0==8
		ori		Temp, 0x02
		.elif prescaltmr0==64
		ori		Temp, 0x03
		.elif prescaltmr0==256
		ori		Temp, 0x04
		.elif prescaltmr0==1024
		ori		Temp, 0x05
		.elif prescaltmr0==1100
		ori		Temp, 0x06
		.elif prescaltmr0==0011
		ori		Temp, 0x07
		.else
		 .error "invalid TMR1 prescaler value (0 1 8 64 256 1024 1100 0011)"
		.endif
		out		TCCR0B, Temp
		pop		Temp
		ret
.endif

TMR0_SET_OCB_FAST_PWM:								; setup for fast PWM generation at OCB
		push	Temp
		sbi		DDRB, 1
		in		Temp, TCCR0A
		ori		Temp, (1<<COM0B1)|(1<<WGM00)|(1<<WGM00)	; activate the fast PWM mode
		andi	Temp, ~(1<<COM0B0)
		out		TCCR0A, Temp
		pop		Temp
		ret

TMR0_EN_OVINT:										; enable the overflow interrupt
		push	Temp
		in		Temp, TIMSK0
		ori		Temp, 1<<TOIE0
		out		TIMSK0, Temp
		pop		Temp
		ret

TMR0_SET_DUTY:										; set the output duty ratio
		out		OCR0B, Temp
		ret