; variables used by the bldc control routine

;*****************************************************************************************
;	variables
;*****************************************************************************************

.def	Null			= r2							; store a zero
.def	One				= r3							; store a one
.def	Temp5			= r4
.def	Temp6			= r5
.def	Temp			= r16							; temporary register
.def	Temp2			= r17							; temporary register
.def	Temp3			= r18							; temporary register
.def	Temp4			= r19							; temporary register
.def	Status			= r20							; status register
	.equ	ONSTATE		= 0									; on state (0: motor off)
	.equ	PROGMODE	= 1									; program mode (0: linear mode, 1: switching mode)
	.equ	ACT_BIT		= 2									; if 1 the value processing is started
	.equ	HIGHMODE	= 3									; high RPM mode for the FAN
	.equ	TUPIN		= 4									; state of the up switch
	.equ	TDOWNIN		= 5									; state of the down switch
	.equ	TMODEIN		= 6									; state of the mode switch
.def	OldStatus		= r21							; old status, used to debounce the switches
.def	counter			= r22							; counter register for task scheduler
.def	StartCounter	= r23							; counter for the FAN startup duration
.def	StopCounter		= r24							; counter to count the stop time
;.def	OffCounter		= r25							; counter to delay the FAN start

;*****************************************************************************************
;	SRAM variables
;*****************************************************************************************

.equ	AnaResL			= SRAM_START+0					; Analog input voltage (Temperature)
.equ	AnaResH			= SRAM_START+1
.equ	MaxDutyS		= SRAM_START+2					; for test purpose
.equ	LinCoeffS		= SRAM_START+3
.equ	MeanValL		= SRAM_START+4					; for ADC mean value calculation
.equ	MeanValH		= SRAM_START+5

;*****************************************************************************************
;	EEPROM registers
;*****************************************************************************************

.equ	MaxDuty			= 0
.equ	LinCoeff		= 1
.equ	HighDuty		= 2